Bug 699156 - Large amount of acpi interrupts on lenovo y560p with 2.6.38+
Summary: Large amount of acpi interrupts on lenovo y560p with 2.6.38+
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John Feeney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-23 18:18 UTC by Alexey Bavshin
Modified: 2013-01-10 07:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 17:50:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of vmstat, dmesg, dmidecode and contents of /proc interrupts (26.28 KB, application/x-gzip)
2011-04-23 18:18 UTC, Alexey Bavshin
no flags Details
/proc/interrupts (3.07 KB, text/plain)
2011-04-24 03:31 UTC, Chuck Ebbert
no flags Details
dmesg (71.51 KB, text/plain)
2011-04-24 03:32 UTC, Chuck Ebbert
no flags Details
lspci -vvxxx (54.09 KB, text/plain)
2011-05-25 16:30 UTC, jon pry
no flags Details
acpidump (266.16 KB, text/plain)
2011-05-25 16:42 UTC, jon pry
no flags Details
grep -r . /sys/firmware/acpi (4.64 KB, text/plain)
2011-05-25 17:00 UTC, jon pry
no flags Details

Description Alexey Bavshin 2011-04-23 18:18:59 UTC
Created attachment 494449 [details]
output of vmstat, dmesg, dmidecode and contents of /proc interrupts

Description of problem:
Getting tons of acpi interrupts (attached /proc/interrupts contents after 1-2 minutes of uptime) makes system really slow.
Affected hardware is Lenovo IdeaPad Y560p laptop with Intel sandy bridge cpu and hm65 express chipset. Haven't checked BIOS revision but there are no officially available updates.

Version-Release number of selected component (if applicable):
Any 2.6.38 and later fedora kernels (even in --with vanilla option). 2.6.37 and older from koji works fine.

How reproducible:
Always.
But for me it seems like hardware-specific issue (had no possibility to check with another similar laptop though).

Steps to Reproduce:
1. Just boot any affected kernel with any userspace (tried installing fc15 kernels on fc14 and booting fc15 beta livecd).
2. Check vmstat output.

Actual results:
In attached vmstat output you can see about 25000 interrupts per second, and 50000 context switches (in idle). Most of them are from acpi.

Expected results:
Low amount of acpi interrupts (irq9).
Reasonable values of in and cs counters in vmstat output.

Additional info:
Checked all acpi-related kernel parameters.
Only effective was acpi=off.

Feel free to ask me for any additional data or testing.

Comment 1 Chuck Ebbert 2011-04-24 03:31:38 UTC
Created attachment 494484 [details]
/proc/interrupts

Please don't upload tarballs, it just means someone has to download them, untar, and re-upload as text.

Comment 2 Chuck Ebbert 2011-04-24 03:32:40 UTC
Created attachment 494485 [details]
dmesg

Comment 3 Chuck Ebbert 2011-04-24 03:34:59 UTC
This looks wrong:

[    1.099139] \_SB_.PCI0:_OSC invalid UUID
[    1.099140] _OSC request data:1 8 1f 
[    1.111213] \_SB_.PCI0:_OSC invalid UUID
[    1.111215] _OSC request data:1 1f 1f 
[    1.111219]  pci0000:00: Requesting ACPI _OSC control (0x1d)
[    1.111262] \_SB_.PCI0:_OSC invalid UUID
[    1.111263] _OSC request data:1 0 1d

Comment 4 Alexey Bavshin 2011-04-24 13:41:33 UTC
Sorry, didn't know about tarballs. It's my first time using bugzilla.

Found first affected commit: http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.38.y.git;a=commit;h=bba63a296ffab20e08d9e8252d2f0d99050ac859

Comment 5 Chuck Ebbert 2011-04-25 07:49:24 UTC
(In reply to comment #4)
> Sorry, didn't know about tarballs. It's my first time using bugzilla.
> 
> Found first affected commit:
> http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.38.y.git;a=commit;h=bba63a296ffab20e08d9e8252d2f0d99050ac859

That's:

 Subject: ACPICA: Implicit notify support
 X-Git-Tag: v2.6.38-rc2~28^2~9

Which is certainly plausible.

Comment 6 jon pry 2011-05-12 21:02:04 UTC
I have this same bug. Still exists as of 2.6.39-rc5, which includes Matthew Garett's previous patch for the same issue on a different laptop.

Comment 7 jon pry 2011-05-25 16:30:11 UTC
Created attachment 500866 [details]
lspci -vvxxx

Comment 8 jon pry 2011-05-25 16:42:53 UTC
Created attachment 500869 [details]
acpidump

Comment 9 Matthew Garrett 2011-05-25 16:50:12 UTC
Could you please also attach the output of

grep -r . /sys/firmware/acpi

?

Comment 10 jon pry 2011-05-25 17:00:32 UTC
Created attachment 500874 [details]
grep -r . /sys/firmware/acpi

Comment 11 jon pry 2011-10-19 05:05:44 UTC
(In reply to comment #4)
> Found first affected commit:
> http://git.kernel.org/?p=linux/kernel/git/stable/linux-2.6.38.y.git;a=commit;h=bba63a296ffab20e08d9e8252d2f0d99050ac859

I tried using a 2.6.37.6 kernel which does not have the above mentioned implicit notify support, but I am still seeing the interrupt storm. How did you trace it to that particular commit?

Comment 12 Josh Boyer 2012-06-04 18:59:43 UTC
Does this still happen on 2.6.43/3.3 in F15/F16?

Comment 13 Josh Boyer 2012-07-11 17:50:56 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.